# containers.podman.podman_export – Export a podman container

Note

This plugin is part of the containers.podman collection (version 1.10.1).

To install it use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.podman_export`.

- Synopsis

- Requirements

- Parameters

- Examples

## Synopsis

- podman export exports the filesystem of a container and saves it as a tarball on the local machine

## Requirements

The below requirements are needed on the host that executes this module.

- Podman installed on host

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
container string / required |  | Container to export.
dest string / required |  | Path to export container to.
executable string | Default: "podman" | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman`
force boolean | Choices: no yes ← | Force saving to file even if it exists.

## Examples

    # What modules does for example
    - containers.podman.podman_export:
        dest: /path/to/tar/file
        container: container-name

### Authors

- Sagi Shnaidman (@sshnaidm)